:orphan:

.. To get rid of WARNING: document isn't included in any toctree

============================
Point cloud utilities manual
============================

File Readers
------------

.. autofunction:: gudhi.read_points_from_off_file

.. autofunction:: gudhi.read_lower_triangular_matrix_from_csv_file

File Writers
------------

.. autofunction:: gudhi.write_points_to_off_file

Subsampling
-----------

.. automodule:: gudhi.subsampling
   :members:

Time Delay Embedding
--------------------

.. autoclass:: gudhi.point_cloud.timedelay.TimeDelayEmbedding
   :members:
   :special-members: __call__

K nearest neighbors
-------------------

.. automodule:: gudhi.point_cloud.knn
   :members:
   :undoc-members:

Distance to measure
-------------------

.. automodule:: gudhi.point_cloud.dtm
   :members:
   :undoc-members:
